/*	(C) Copyright 1986. THINK Technologies, Inc.  All rights reserved. */	

/* This module implements abbreviated versions of execl, execv, execle,
	and execve. It seems that the args should do something, however
	nothing is done with them here.  These are implemented purely as a
	starting point for those applications which need to do transfers to
	other applications. */

char *CtoPstr();


static void
_exec(path)
char *path;
{
	_exiting(1);
	Launch(0, CtoPstr(path));
}


#line 0 execl

execl(path, arg)
char *path, *arg;
{	/* designed for launching application with arg0, arg1, ..., argn */

	_exec(path);
}

#line 0 execv

execv(path, argv)
char *path, *argv[];
{
	_exec(path);
}

#line 0 execle

execle(path, arg)
char *path, *arg;
{
	/* launch application with arg0, arg1, ..., argn, 0, env */

	_exec(path);
}

#line 0 execve

execve(path, argv, envp)
char *path, *argv[], *envp[];
{
	_exec(path);
}

